# -----------------------------------------------------------------------------
# © 2024 Boston Consulting Group. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# -----------------------------------------------------------------------------

"""
Gen AI model endpoints.

This module has dedicated submodules for different types of Gen AI models:

- :mod:`artkit.model.llm`: Large Language Models (text-to-text)
- :mod:`artkit.model.diffusion`: Diffusion Models (text-to-image)
- :mod:`artkit.model.vision`: Vision Models (image-to-text)
"""
